=== test/unit/alignment/configuration/CMakeLists.txt ===
seqan3_test(align_config_band_test.cpp)
seqan3_test(align_config_aligned_ends_test.cpp)
seqan3_test(align_config_common_test.cpp)
seqan3_test(align_config_edit_test.cpp)
seqan3_test(align_config_gap_test.cpp)
seqan3_test(align_config_max_error_test.cpp)
seqan3_test(align_config_parallel_test.cpp)
seqan3_test(align_config_method_test.cpp)
seqan3_test(align_config_on_result_test.cpp)
seqan3_test(align_config_result_test.cpp)
seqan3_test(align_config_scoring_test.cpp)
seqan3_test(align_config_vectorise_test.cpp)
