=== test/unit/search/configuration/CMakeLists.txt ===
seqan3_test(hit_test.cpp)
seqan3_test(parallel_test.cpp)
