=== debian/changelog ===
seqan3 (3.0.2~rc1+bf04354+ds-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Update patch headers
  * Package pre-release from upstream to fix gcc 10.2 FTBFS.
    Closes: #966270, #966433
  * debhelper-compat 13 (routine-update)
  * Switch to upstream's fork of range-v3

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Sep 2020 14:59:35 +0100

seqan3 (3.0.1+ds-10) unstable; urgency=medium

  * Include patch from upstream for Doxygen 1.8.17 compatability. Closes: #959645

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 04 May 2020 13:43:35 +0200

seqan3 (3.0.1+ds-9) unstable; urgency=medium

  * Fix FTBFS with patch from upstream. Closes: #954589
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Wrap long lines in changelog entries: 3.0.0+ds2-4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Mar 2020 22:01:41 +0100
