## seqan3 3.0.2~rc2+70dff0c+ds

=== test/performance/alignment/CMakeLists.txt ===
seqan3_benchmark(global_affine_alignment_benchmark.cpp)
seqan3_benchmark(global_affine_alignment_parallel_benchmark.cpp)
seqan3_benchmark(global_affine_alignment_simd_benchmark.cpp)
seqan3_benchmark(local_affine_alignment_benchmark.cpp)
seqan3_benchmark(edit_distance_unbanded_benchmark.cpp)
