=== debian/changelog ===
seqan3 (3.0.2~rc2+70dff0c+ds-3) unstable; urgency=medium

  * Speed up autopkgtests by skipping the header tests, on the advice from
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Oct 2020 18:41:12 +0200

seqan3 (3.0.2~rc2+70dff0c+ds-2) unstable; urgency=medium

  * Set autopkgtest flags the same as the build

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 30 Sep 2020 16:57:16 +0200

seqan3 (3.0.2~rc2+70dff0c+ds-1) unstable; urgency=medium

  * New upstream pre-release.
  * Refresh patches.
  * Fix autopkgtests
  * Switch back to the Debian package of range-v3

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 29 Sep 2020 15:52:21 +0200
