=== debian/control ===
--- 
+++ 
@@ -31,7 +31,8 @@
 Depends: ${misc:Depends},
          zlib1g-dev,
          libbz2-dev,
-         libcereal-dev
+         libcereal-dev,
+         librange-v3-dev
 Description: C++ library for the analysis of biological sequences v3 (development)
  SeqAn is a C++ template library of efficient algorithms and data
  structures for the analysis of sequences with the focus on
