=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 include /usr/share/dpkg/default.mk
 export HOME=$(CURDIR)/fakehome
 export SEQAN3_NO_VERSION_CHECK=1
+
+
+# Updating any build flags? Check debian/tests/run-tests as well
 
 # Use the gold linker where we can
 ifeq (,$(filter $(DEB_HOST_ARCH),hppa ia64 m68k riscv64 sh4))
