=== test/performance/example/CMakeLists.txt ===

seqan3_benchmark(example_benchmark.cpp)
