=== test/performance/io/CMakeLists.txt ===
seqan3_benchmark(format_fasta_benchmark.cpp)
seqan3_benchmark(format_fastq_benchmark.cpp)
seqan3_benchmark(format_sam_benchmark.cpp)
seqan3_benchmark(format_vienna_benchmark.cpp)
seqan3_benchmark(lowlevel_stream_input_benchmark.cpp)
seqan3_benchmark(lowlevel_stream_output_benchmark.cpp)
seqan3_benchmark(stream_input_benchmark.cpp)
seqan3_benchmark(stream_output_benchmark.cpp)
