=== debian/changelog ===
seqan3 (3.0.2+ds-9) unstable; urgency=medium

  * Team upload.
  * Make sure copyright file will be shipped in binary package
    Closes: #983828
  * Disable salsa-ci build for i386

 -- Andreas Tille <tille@debian.org>  Tue, 02 Mar 2021 12:45:35 +0100

seqan3 (3.0.2+ds-8) unstable; urgency=medium

  * Add missing g++ dependency to the autopkgtests.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 01 Jan 2021 13:35:51 +0100

seqan3 (3.0.2+ds-7) unstable; urgency=medium

  * Fix autopkgtests

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Dec 2020 22:24:06 +0100

seqan3 (3.0.2+ds-6) unstable; urgency=medium

  * Try again with default gcc (gcc-10). Closes: #978517

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 30 Dec 2020 11:55:26 +0100

seqan3 (3.0.2+ds-5) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * Remove log file in documentation which contains build timestamp
    Closes: #977171

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Dec 2020 18:52:29 +0100

seqan3 (3.0.2+ds-4) unstable; urgency=medium

  * Add patches to cope with googletest 1.10.0.20201025-1. Closes: #973001
  * Drop down to g++-9 for testing due to an ICE with g++-10 10.2.0-16:
    https://bugs.debian.org/973698
  * Fix for missing changelog

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 03 Nov 2020 17:38:50 +0100

seqan3 (3.0.2+ds-3) unstable; urgency=medium

  * debian/tests/*: better method of skipping tests on non-amd64.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 15 Oct 2020 14:19:51 +0200

seqan3 (3.0.2+ds-2) unstable; urgency=medium

  * debian/tests/control: Only run the tests on amd64 due to compilation time

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 14 Oct 2020 11:33:48 +0200

seqan3 (3.0.2+ds-1) unstable; urgency=medium

  * debian/watch: adapt to new upstream naming convention
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 13 Oct 2020 13:37:55 +0200
