=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                ninja-build,
+# update debian/{rules,tests/{control,run-tests}} as well, when changing these
                zlib1g-dev <!nocheck>,
                libbz2-dev <!nocheck>,
                libboost-dev <!nocheck>,
@@ -19,7 +20,7 @@
                texlive-latex-base <!nodoc>,
                ghostscript <!nodoc>,
                texlive-latex-extra <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/seqan3
 Vcs-Git: https://salsa.debian.org/med-team/seqan3.git
 Homepage: http://www.seqan.de/
