=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 export DEB_CFLAGS_MAINT_APPEND+=-O3
-export DEB_CXXFLAGS_MAINT_APPEND+=-DNDEBUG -O3 -std=c++17 -fconcepts
+export DEB_CXXFLAGS_MAINT_APPEND+=-DNDEBUG -O3
 
 pkgdev=libseqan3-dev
 
@@ -40,7 +40,8 @@
 override_dh_auto_build:
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --builddirectory=build_unit --sourcedirectory=test/unit --buildsystem=cmake+ninja
-	dh_auto_build --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	#dh_auto_build --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	# not on g++-9 https://github.com/seqan/seqan3/issues/1317#issuecomment-721066568
 	dh_auto_build --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja
 	dh_auto_build --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja
 endif
@@ -59,14 +60,15 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
 	cd build_unit && /usr/bin/cmake -E cmake_echo_color --switch= --cyan "Running tests..." \
 		&& /usr/bin/ctest --force-new-ctest-process --output-on-failure -E version_check_
-	dh_auto_test --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	#dh_auto_test --builddirectory=build_header --sourcedirectory=test/header --buildsystem=cmake+ninja
+	# not on g++-9 https://github.com/seqan/seqan3/issues/1317#issuecomment-721066568
 	dh_auto_test --builddirectory=build_snippet --sourcedirectory=test/snippet --buildsystem=cmake+ninja
 	dh_auto_test --builddirectory=build_performance --sourcedirectory=test/performance --buildsystem=cmake+ninja
 endif
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	echo skipping documentation build tests due to https://github.com/seqan/seqan3/issues/2011
 	#dh_auto_test --builddirectory=build_documentation --sourcedirectory=test/documentation --buildsystem=cmake+ninja
+	# not working with doxygen 1.8.20
 endif
 endif
 
@@ -78,8 +80,13 @@
 override_dh_installdocs:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	dh_installdocs  --doc-main-package libseqan3-dev -pseqan3-doc
+	dh_installdocs  --doc-main-package libseqan3-dev -plibseqan3-dev
 	dh_doxygen
+else
+	dh_installdocs
 endif
+	# Remove log file which embeds timestamps
+	rm -f $(CURDIR)/debian/seqan3-doc/usr/share/doc/libseqan3-dev/html/_formulas.log
 
 override_dh_install:
 	dh_install
