=== debian/watch ===
version=4
opts="repacksuffix=+ds,dversionmangle=s/\+dfsg//g,compression=xz,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repack" \
  https://github.com/seqan/seqan3/releases .*/seqan3-([.\d]+)-Source\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
