## seqan3 3.0.3+ds

=== debian/changelog ===
seqan3 (3.0.3+ds-1) unstable; urgency=medium

  * Release to unstable.
  * Standards-Version: 4.6.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Oct 2021 11:43:44 +0200

seqan3 (3.0.3+ds-1~0exp) experimental; urgency=medium

  [ Andreas Tille ]
  * Make sure copyright file will be shipped in binary package
    Closes: #983828

  [ Michael R. Crusoe ]
  * New upstream version
  * Freshen patches

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Oct 2021 11:31:01 +0200
