## seqan3 3.1.0%2Bds

=== test/performance/alignment/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
+seqan3_benchmark(global_affine_alignment_banded_simd_benchmark.cpp)
 seqan3_benchmark(global_affine_alignment_benchmark.cpp)
 seqan3_benchmark(global_affine_alignment_parallel_benchmark.cpp)
+seqan3_benchmark(global_affine_alignment_protein_simd_benchmark.cpp)
 seqan3_benchmark(global_affine_alignment_simd_benchmark.cpp)
 seqan3_benchmark(local_affine_alignment_benchmark.cpp)
 seqan3_benchmark(edit_distance_unbanded_benchmark.cpp)
