=== test/performance/io/detail/CMakeLists.txt ===
seqan3_benchmark(view_take_until_benchmark.cpp)
