=== test/unit/alignment/decorator/CMakeLists.txt ===
seqan3_test(gap_decorator_test.cpp)
