=== test/unit/utility/views/CMakeLists.txt ===
add_subdirectories()

seqan3_test(convert_test.cpp)
seqan3_test(deep_test.cpp)
seqan3_test(elements_test.cpp)
seqan3_test(enforce_random_access_test.cpp)
seqan3_test(interleave_test.cpp)
seqan3_test(pairwise_combine_test.cpp)
seqan3_test(repeat_n_test.cpp)
seqan3_test(repeat_test.cpp)
seqan3_test(single_pass_input_test.cpp)
seqan3_test(slice_test.cpp)
seqan3_test(type_reduce_test.cpp)
seqan3_test(zip_test.cpp)
