=== test/unit/core/algorithm/detail/CMakeLists.txt ===
seqan3_test(algorithm_executor_blocking_test.cpp)
seqan3_test(execution_handler_sequential_test.cpp)
seqan3_test(execution_handler_parallel_test.cpp)
